Scientific Linux Security Update : thunderbird on SL6.x i386/x86_64

High Nessus Plugin ID 110121

Synopsis

The remote Scientific Linux host is missing one or more security updates.

Description

This update upgrades Thunderbird to version 52.8.0.

Security Fix(es) :

- Mozilla: Memory safety bugs fixed in Firefox 60 and Firefox ESR 52.8 (CVE-2018-5150)

- Mozilla: Backport critical security fixes in Skia (CVE-2018-5183)

- Mozilla: Use-after-free with SVG animations and clip paths (CVE-2018-5154)

- Mozilla: Use-after-free with SVG animations and text paths (CVE-2018-5155)

- Mozilla: Integer overflow and out-of-bounds write in Skia (CVE-2018-5159)

- Mozilla: Full plaintext recovery in S/MIME via chosen-ciphertext attack (CVE-2018-5184)

- Mozilla: Hang via malformed headers (CVE-2018-5161)

- Mozilla: Encrypted mail leaks plaintext through src attribute (CVE-2018-5162)

- Mozilla: Lightweight themes can be installed without user interaction (CVE-2018-5168)

- Mozilla: Filename spoofing for external attachments (CVE-2018-5170)

- Mozilla: Buffer overflow during UTF-8 to Unicode string conversion through legacy extension (CVE-2018-5178)

- Mozilla: Leaking plaintext through HTML forms (CVE-2018-5185)

Solution

Update the affected thunderbird and / or thunderbird-debuginfo packages.

See Also

http://www.nessus.org/u?0690ee69

Plugin Details

Severity: High

ID: 110121

File Name: sl_20180524_thunderbird_on_SL6_x.nasl

Version: 1.8

Type: local

Agent: unix

Published: 2018/05/25

Updated: 2019/07/11

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

CVSS v3.0

Base Score: 9.8

Temporal Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2018/05/24

Vulnerability Publication Date: 2018/06/11

Reference Information

CVE: CVE-2018-5150, CVE-2018-5154, CVE-2018-5155, CVE-2018-5159, CVE-2018-5161, CVE-2018-5162, CVE-2018-5168, CVE-2018-5170, CVE-2018-5178, CVE-2018-5183, CVE-2018-5184, CVE-2018-5185